Skip to main content
`Ctrl`+`K`
scipy.io.FortranFile.

# write_record

FortranFile.write_record(*items)

  Write a record (including sizes) to the file.

  Parameters:
    *items array_like

      The data arrays to write.

  Notes

  Writes data items to a file:

      write_record(a.T, b.T, c.T, ...)

      write(1) a, b, c, ...

  Note that data in multidimensional arrays is written in row-major order — to make them read correctly by Fortran programs, you need to transpose the arrays yourself when writing them.